Subject: Git and Web Content Tricks?

From: Jon Loeliger <[email-masked]>
Date: Thu, 21 Feb 2008 10:00:07 -0600

Folks,

I am interested in hearing about any tricks or
scripts you have that help you manage your website
content on a daily basis.

While I am aware of the post-update hooks that assure
a properly checked-out content after a push, I'm also
wondering if anyone has dealt with this issue in the
face of either beta-test site pre-testing requirements or
additional support files such as database files as well.

Specifically, if you had web content that needed to be
published only after it has gone through a qual cycle
on a beta test platform, how do you account for any minor
changes in content before converting it to your production
site?  Do you run a separate branch for beta differences
and merge them up or down to a production branch?  Do you
run a post- or pre- hook to alter or create config files
during the {beta,production} install?

If you had content in your complete git repository that
included stuff that wasn't to be deployed to your HTDOC
root, how do you account for only a "partial" or subset
deployment of your files?  For example, if you kept a
copy of your backend database scehmas as well as your
actual web pages under two separate directories of the
same repository, how do you deploy just the web pages
and not the schema files?  Do you checkout with path
limiters?  Do you run a Manifest install file and script?
Do you rely on some Makefile target scheme?

Any tips or tricks here for the weary?

Thanks!
jdl